Package org.silverpeas.components.whitepages.servlets

# Class WhitePagesRequestRouter

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
org.silverpeas.core.web.mvc.webcomponent.SilverpeasHttpServlet
org.silverpeas.core.web.mvc.webcomponent.SilverpeasAuthenticatedHttpServlet
org.silverpeas.core.web.mvc.route.ComponentRequestRouter<WhitePagesSessionController>
org.silverpeas.components.whitepages.servlets.WhitePagesRequestRouter

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public class WhitePagesRequestRouter extends org.silverpeas.core.web.mvc.route.ComponentRequestRouter<WhitePagesSessionController>
Expert Locator request rooter.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.silverpeas.core.web.mvc.webcomponent.SilverpeasHttpServlet

  `org.silverpeas.core.web.mvc.webcomponent.SilverpeasHttpServlet.HttpError, org.silverpeas.core.web.mvc.webcomponent.SilverpeasHttpServlet.UserSessionStatus`

- ## Field Summary

  ### Fields inherited from class jakarta.servlet.http.HttpServlet

  `LEGACY_DO_HEAD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WhitePagesRequestRouter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WhitePagesSessionController`
  `createComponentSessionController(org.silverpeas.core.web.mvc.controller.MainSessionController mainSessionCtrl, org.silverpeas.core.web.mvc.controller.ComponentContext componentContext)`
  `String`
  `getDestination(String function, WhitePagesSessionController scc, org.silverpeas.core.web.http.HttpRequest request)`
  `String`
  `getSessionControlBeanName()`
  This method has to be implemented in the component request rooter class. returns the session control bean name to be put in the request object ex : for whitePages, returns "whitePages"

  ### Methods inherited from class org.silverpeas.core.web.mvc.route.ComponentRequestRouter

  `checkUserAuthorization, doGet, doPost, emptyJsonResponse, getComponentId, getOrganizationController, hasTheSessionSecurityTokenToBeRenewed, sendJson, updateSessionManagement`

  ### Methods inherited from class org.silverpeas.core.web.mvc.webcomponent.SilverpeasAuthenticatedHttpServlet

  `getMainSessionController, getSessionInfo, getSynchronizerTokenService, renewSessionSecurityToken, service, throwUserSessionExpiration`

  ### Methods inherited from class org.silverpeas.core.web.mvc.webcomponent.SilverpeasHttpServlet

  `existOpenedUserSession, forbidden, notFound, preconditionFailed, redirectOrForwardService, sendError, sendError, throwHttpForbiddenError, throwHttpForbiddenError, throwHttpNotFoundError, throwHttpNotFoundError, throwHttpPreconditionFailedError, throwHttpPreconditionFailedError`

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, init, service`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WhitePagesRequestRouter

    public WhitePagesRequestRouter()

- ## Method Details

  - ### getSessionControlBeanName

    public String getSessionControlBeanName()
    This method has to be implemented in the component request rooter class. returns the session control bean name to be put in the request object ex : for whitePages, returns "whitePages"
    Specified by:
      `getSessionControlBeanName` in class `org.silverpeas.core.web.mvc.route.ComponentRequestRouter<WhitePagesSessionController>`

  - ### createComponentSessionController

    public WhitePagesSessionController createComponentSessionController(org.silverpeas.core.web.mvc.controller.MainSessionController mainSessionCtrl, org.silverpeas.core.web.mvc.controller.ComponentContext componentContext)
    Specified by:
      `createComponentSessionController` in class `org.silverpeas.core.web.mvc.route.ComponentRequestRouter<WhitePagesSessionController>`

  - ### getDestination

    public String getDestination(String function, WhitePagesSessionController scc, org.silverpeas.core.web.http.HttpRequest request)
    Specified by:
      `getDestination` in class `org.silverpeas.core.web.mvc.route.ComponentRequestRouter<WhitePagesSessionController>`